function X_DCTII_1D = DctII_1D(X)



% Cette fonction retourne la DCT de type II de X



[N, NbrCol] = size(X);



if (NbrCol~=1)

   disp('DctII_1D : La matrice doit tre un vecteur colonne!');

   return;

end



X_DCTII_1D = zeros((N+1),1);

CosMatrix = zeros((N+1),N);

C = ones((N+1),1);



for k=1:(N+1)

   for n=1:N

      CosMatrix(k,n) = cos((k-1)*pi/N*((n-1)+0.5));

   end

end



C(1) = 1/sqrt(2);

C(N+1)= 1 /sqrt(2);



X_DCTII_1D = 2/N*C.*(CosMatrix*X);		% Equation 4

