function [Motion,x1_ds_x2] = FullSearch1D(x1,x2,mse,display)
% x1: 1-D signal
% x2: 1-D signal (may contain x1)
t_begin = cputime;

N=length(x1);
if (length(x1)>=length(x2))
   disp('X1 n''est pas plus petit que X2 !');
end
% pour tous les sous blocs possibles de X2 ayant la meme grandeur que X1
% calculons Le MSE ou MAS
nb_tests = length(x2)-length(x1)+1;
result = zeros(1,nb_tests);
for i = 1:nb_tests,
    block_i_x2=x2(1,i:(i+length(x1)-1));
    diff_vect = x1 - block_i_x2;
    diff = sum(abs(diff_vect));
    if mse==1 % mean square error
          result(1,i) = result(1,i) + diff*diff;
    else % Mean absolute error
          result(1,i) = result(1,i) + abs(diff);
    end;
end
% recherche du deplacement ayant la plus faible valeur de MSE et MAE
[min index_min] = min(result);
Motion = index_min;
%Motion=Motion-1;
x1_ds_x2=zeros(size(x1));
x1_ds_x2=x2(1,Motion:Motion+length(x1)-1);
% affichage de x1 et le bloc le plus semblable dans x2
if display==1
    x1
    x1_ds_x2
    t_end = cputime;
    disp(['Time to execute = ' num2str(t_end-t_begin) ' sec']);
end
if mse==1 % mean square error
          disp(['Deplacement (FullSeachSpatial) MSE= ' num2str(Motion)]);
    else % Mean absolute error
          disp(['Deplacement (FullSeachSpatial) MAE= ' num2str(Motion)]);
    end;


 end
 

 