function X_DSSTII_2D = DsstII_2D(X)

[N, M] = size(X);

if (M~=N)
   disp('DsstII_2D: L''argument doit tre une matrice carree.');
   return;
end

X_DSSTII_2D = zeros((N+1),(N+1));
C = ones((N+1),1);
C(1) = 1/sqrt(2);
C(N+1) = 1/sqrt(2);

for k=1:(N+1)							%Equation 24
   for l=1:(N+1)
      mSinMatrix = sin((k-1)*pi/N*(((1:N)'-1)+0.5));
      nSinMatrix = sin((l-1)*pi/N*(((1:N)'-1)+0.5));
      X_DSSTII_2D(l,k) = 4/N^2*C(k)*C(l)*(X*mSinMatrix)'*nSinMatrix;
   end
end
