function X_DSTII_1D = DstII_1D(X)



% Cette fonction retourne la DST de type II de X



[N, NbrCol] = size(X);



if (NbrCol~=1)

   disp('DstII_1D : La matrice doit tre un vecteur colonne!');

   return;

end



X_DSTII_1D = zeros((N+1),1);

SinMatrix = zeros((N+1),N);

C = ones((N+1),1);



for k=1:(N+1)

   for n=1:N

      SinMatrix(k,n) = sin((k-1)*pi/N*((n-1)+0.5));

   end

end



C(1) = 1/sqrt(2);

C(N+1) = 1/sqrt(2);



X_DSTII_1D = 2/N*C.*(SinMatrix*X);		% Equation 5

