function X_IDSTII_1D = IDstII_1D(X)



% Cette fonction retourne l'inverse de la DST de type II de X



[M, NbrCol] = size(X);

N=M-1;



if (NbrCol~=1)

   disp('IDstII_1D : La matrice doit tre un vecteur colonne!');

   return;

end



X_IDSTII_1D = zeros(N,1);

SinMatrix = zeros(N,(N+1));

C = ones((N+1),1);



for n=1:N

   for k=1:(N+1)

      SinMatrix(n,k) = sin((k-1)*pi/N*((n-1)+0.5));

   end

end



C(1) = 1/sqrt(2);

C(N+1) = 1/sqrt(2);



X_IDSTII_1D = 2/(N-1)*SinMatrix*(C.*X);		% Equation 13

