function X_DCSTI_2D = DcstI_2D(X)

[N, M] = size(X);

if (M~=N)
   disp('DcstI_2D: L''argument doit tre une matrice carree.');
   return;
end

X_DCSTI_2D = zeros((N+1),(N+1));
C = ones((N+1),1);
C(1) = 1/sqrt(2);
C(N+1) = 1/sqrt(2);

for k=1:(N+1)							%Equation 26
   for l=1:(N+1)
      mCosMatrix = cos((k-1)*pi/N*((1:N)'-1));
      nSinMatrix = sin((l-1)*pi/N*((1:N)'-1));
      X_DCSTI_2D(l,k)= 4/N^2*C(k)*C(l)*(X*mCosMatrix)'*nSinMatrix;
   end
end
